GNU bug report logs - #50555
[BUG] Org Latex export doesn't handle src blocks correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: org-mode; Reported by: Younes Ben El <younes.brovi@HIDDEN>; Keywords: patch moreinfo; dated Sun, 12 Sep 2021 20:53:02 UTC; Maintainer for org-mode is emacs-orgmode@HIDDEN.
Added tag(s) patch. Request was from Daniel Fleischer <daniel.fleischer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 20:05:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 16:05:16 2021
Received: from localhost ([127.0.0.1]:37013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRgaD-00028x-Rf
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 16:05:16 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:46719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danflscr@HIDDEN>) id 1mRgaA-00028L-SU
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 16:05:08 -0400
Received: by mail-wr1-f51.google.com with SMTP id x6so21002280wrv.13
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 13:05:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=zvCIu8m/LLBZZ9Ls2ekR2xSTZzsKoyyri1IwmXPWJUI=;
 b=DH6U8VPaD5lGtzOir9k2TLMX0uJbBLeYo4VbfvcqTf/Sa94RSrM0Z0jAo6dinGEZej
 E2oxvHqbHaCWSR78eHGFDthnmZL6Kua13cDded3Uf4b+3kKJVzmvXlSN5xogWG68nVO4
 qElBde67Bxi6Tef4PW2Fvqkp5BQDzmf0sv6ZjpFsDXsIhB4x/uolqZaOLs1N3glRSqcI
 +vaCTnS/mAVKq7iFek5SCFXWjcP5IK8JxTe8faVYlXzFomj9cCW0+hUF85it9KaD7k3J
 GXH6bI2Ob2KqS+4nY6+aAYEBbpGBRqg630NSFeKFNpxyrp4Wkbh93IIkp/173zU3B/0g
 3iEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=zvCIu8m/LLBZZ9Ls2ekR2xSTZzsKoyyri1IwmXPWJUI=;
 b=rIFQNZplvTFBKdWvossHbUYfpwz2UDsatxrSs+joI6TSYt2rAGe4If1Q0T3jEF7XFW
 AJ7m0fYsr/kl+rKypdZqVsfX84pMwSbyAINb5rybyhNmhWOi7/sZam3vDBlPhiHwY9xi
 8Z8kfUzqAHFQqo//sQXUWRH8FV5/bLMiKDL/gCSMct2YRbk3E3jnlQxNrFWls3LiU3tj
 5IHvWtKO3VVvQMMd7dD1x6aWiRCXnQGuk7INPGynExRRuQpc257e9I9rmzS7EA/hMNmc
 S7kJ8Qt8jRuzrIZh9zPhVJSACBhdge2rVNiwT4TLqKiAtCNA9OtrnxYXNdcu6NL5uk6d
 gRBg==
X-Gm-Message-State: AOAM530gu79h4lEaNrDpcGbz3ajZ5tR3ZARP2oeCzyF+bSB5cYccDowM
 NXY4yZ1qdvtwfjzBeWxtCVxQKTHCuXk=
X-Google-Smtp-Source: ABdhPJwFnVdwrSU1WqBxwWlJRuOZnzwDKjiF7Nc4QtSei7q8LvLyOG73TWAenOVwFcoUEchk9E3nIg==
X-Received: by 2002:adf:f486:: with SMTP id l6mr19025836wro.375.1631995500905; 
 Sat, 18 Sep 2021 13:05:00 -0700 (PDT)
Received: from Home-Mac ([141.226.13.159])
 by smtp.gmail.com with ESMTPSA id o1sm10508547wru.91.2021.09.18.13.04.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 13:05:00 -0700 (PDT)
From: Daniel Fleischer <danflscr@HIDDEN>
To: Younes Ben El <younes.brovi@HIDDEN>
Subject: [PATCH] Re: bug#50555: [BUG] Org Latex export doesn't handle src
 blocks correctly
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 <m27dfe40dk.fsf@HIDDEN> <87y27uueuo.fsf@HIDDEN>
 <m2ee9lis5z.fsf@HIDDEN> <87tuihpskk.fsf@HIDDEN>
Date: Sat, 18 Sep 2021 23:04:58 +0300
In-Reply-To: <87tuihpskk.fsf@HIDDEN> (Younes Ben El's message of "Sat, 18
 Sep 2021 20:53:01 +0100")
Message-ID: <m27dfdir9x.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Younes Ben El writes: > Daniel Fleischer writes: > > Here
   is the hint: since “minted” is using a python package (pygments) for the
    highlighting, one need to add the > “-shell-escape” to the call. Other
    than that, [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (danflscr[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.51 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.51 listed in list.dnswl.org]
  1.3 URI_DOTEDU             Has .edu URI
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Younes Ben El <younes.brovi@HIDDEN> writes:

> Daniel Fleischer <danflscr@HIDDEN> writes:=20
>
>     Here is the hint: since =E2=80=9Cminted=E2=80=9D is using a python pa=
ckage (pygments) for the highlighting, one need to add the
>     =E2=80=9C-shell-escape=E2=80=9D to the call. Other than that, everyth=
ing works as planned. Since it=E2=80=99s a specific configuration for
>     using =E2=80=9Cminted=E2=80=9D, I=E2=80=99ll add a comment in the man=
ual.=20
>
>     If you feel that there is still an issue with the [], please provide =
an emacs -Q recipe that shows it, after adding
>     the =E2=80=9C-shell-escape=E2=80=9D flag.=20
>
> Ah, That=E2=80=99s the deal. Updating The Manual Will do the trick Thanks=
 for taking time and looking up at this issue .=20
>

Patch: comment suggesting the usage of the flag; many changes due to the
footnote numbering "push".


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment;
 filename=0001-org-manual-comment-about-latex-code-block-export.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: patch

From 64150d05e83b346969173134cbd237cc3aae7e15 Mon Sep 17 00:00:00 2001
From: Daniel Fleischer <danflscr@HIDDEN>
Date: Sat, 18 Sep 2021 22:57:32 +0300
Subject: [PATCH] org-manual: comment about latex code-block export

* doc/org-manual.org: when using the latex Minted package, one needs to
set the '-shell-escape' flag in 'org-latex-pdf-process'.

Signed-off-by: Daniel Fleischer <danflscr@HIDDEN>
---
 doc/org-manual.org | 112 +++++++++++++++++++++++----------------------
 1 file changed, 58 insertions(+), 54 deletions(-)

diff --git a/doc/org-manual.org b/doc/org-manual.org
index 10813a812..9776abb76 100644
--- a/doc/org-manual.org
+++ b/doc/org-manual.org
@@ -13769,7 +13769,7 @@ *** Source blocks in LaTeX export
 The LaTeX export back-end passes string values in =3D:options=3D to LaTeX
 packages for customization of that specific source block.  In the
 example below, the =3D:options=3D are set for Minted.  Minted is a source
-code highlighting LaTeX package with many configurable options.
+code highlighting LaTeX package with many configurable options[fn:134].
=20
 #+begin_example
 ,#+ATTR_LATEX: :options commentstyle=3D\bfseries
@@ -14021,7 +14021,7 @@ ** OpenDocument Text Export
=20
 The ODT export back-end handles creating of OpenDocument Text (ODT)
 format.  Documents created by this exporter use the
-{{{cite(OpenDocument-v1.2 specification)}}}[fn:134] and are compatible
+{{{cite(OpenDocument-v1.2 specification)}}}[fn:135] and are compatible
 with LibreOffice 3.4.
=20
 *** Pre-requisites for ODT export
@@ -14422,7 +14422,7 @@ **** LaTeX math snippets
   variables ~org-latex-to-mathml-convert-command~ and
   ~org-latex-to-mathml-jar-file~.
=20
-  If you prefer to use MathToWeb[fn:135] as your converter, you can
+  If you prefer to use MathToWeb[fn:136] as your converter, you can
   configure the above variables as shown below.
=20
   #+begin_src emacs-lisp
@@ -14433,7 +14433,7 @@ **** LaTeX math snippets
   #+end_src
=20
   #+texinfo: @noindent
-  or, to use LaTeX=E2=80=8BML[fn:136] instead,
+  or, to use LaTeX=E2=80=8BML[fn:137] instead,
=20
   #+begin_src emacs-lisp
   (setq org-latex-to-mathml-convert-command
@@ -14752,7 +14752,7 @@ **** Customizing tables in ODT export
 tables, see [[*Tables in ODT export]].
=20
 This feature closely mimics the way table templates are defined in the
-OpenDocument-v1.2 specification[fn:137].
+OpenDocument-v1.2 specification[fn:138].
=20
 #+vindex: org-odt-table-styles
 For quick preview of this feature, install the settings below and export t=
he
@@ -14786,7 +14786,7 @@ **** Customizing tables in ODT export
=20
 To use this feature proceed as follows:
=20
-1. Create a table template[fn:138].
+1. Create a table template[fn:139].
=20
    A table template is set of =3Dtable-cell=3D and =3Dparagraph=3D styles =
for
    each of the following table cell categories:
@@ -14825,7 +14825,7 @@ **** Customizing tables in ODT export
    =3D</office:automatic-styles>=3D element of the content template file
    (see [[x-orgodtcontenttemplate-xml][Factory styles]]).
=20
-2. Define a table style[fn:139].
+2. Define a table style[fn:140].
=20
    #+vindex: org-odt-table-styles
    To define a table style, create an entry for the style in the
@@ -15939,7 +15939,7 @@ *** Publishing action
 ~org-org-publish-to-org~.  This produces =3Dfile.org=3D and puts it in the
 publishing directory.  If you want a htmlized version of this file,
 set the parameter ~:htmlized-source~ to ~t~.  It produces
-=3Dfile.org.html=3D in the publishing directory[fn:140].
+=3Dfile.org.html=3D in the publishing directory[fn:141].
=20
 Other files like images only need to be copied to the publishing
 destination; for this you can use ~org-publish-attachment~.  For
@@ -17322,13 +17322,13 @@ *** How to evaluate source code
 #+kindex: C-c C-v e
 #+findex: org-babel-execute-src-block
 Org provides many ways to execute code blocks.  {{{kbd(C-c C-c)}}} or
-{{{kbd(C-c C-v e)}}} with the point on a code block[fn:141] calls the
+{{{kbd(C-c C-v e)}}} with the point on a code block[fn:142] calls the
 ~org-babel-execute-src-block~ function, which executes the code in the
 block, collects the results, and inserts them in the buffer.
=20
 #+cindex: @samp{CALL}, keyword
 #+vindex: org-babel-inline-result-wrap
-By calling a named code block[fn:142] from an Org mode buffer or
+By calling a named code block[fn:143] from an Org mode buffer or
 a table.  Org can call the named code blocks from the current Org mode
 buffer or from the "Library of Babel" (see [[*Library of Babel]]).
=20
@@ -17529,7 +17529,7 @@ *** Collection
=20
 - =3Dvalue=3D ::
=20
-  Default for most Babel libraries[fn:142].  Functional mode.  Org
+  Default for most Babel libraries[fn:143].  Functional mode.  Org
   gets the value by wrapping the code in a function definition in the
   language of the source block.  That is why when using =3D:results
   value=3D, code should execute like a function and return a value.  For
@@ -18217,7 +18217,7 @@ ** Noweb Reference Syntax
=20
 #+cindex: @samp{noweb-ref}, header argument
 Source code blocks can include references to other source code blocks,
-using a noweb[fn:143] style syntax:
+using a noweb[fn:144] style syntax:
=20
 : <<CODE-BLOCK-ID>>
=20
@@ -18728,7 +18728,7 @@ ** Structure Templates
 ~org-structure-template-alist~ and ~org-tempo-keywords-alist~.  For
 example, {{{kbd(< s TAB)}}} creates a code block.  Enable it by
 customizing ~org-modules~ or add =3D(require 'org-tempo)=3D to your Emacs
-init file[fn:144].
+init file[fn:145].
=20
 #+attr_texinfo: :columns 0.1 0.9
 | {{{kbd(a)}}} | =3D#+BEGIN_EXPORT ascii=3D ... =3D#+END_EXPORT=3D |
@@ -18808,7 +18808,7 @@ *** Org Indent Mode
 To display the buffer in the indented view, activate Org Indent minor
 mode, using {{{kbd(M-x org-indent-mode)}}}.  Text lines that are not
 headlines are prefixed with virtual spaces to vertically align with
-the headline text[fn:145].
+the headline text[fn:146].
=20
 #+vindex: org-indent-indentation-per-level
 To make more horizontal space, the headlines are shifted by two
@@ -18836,9 +18836,9 @@ *** Hard indentation
=20
 It is possible to use hard spaces to achieve the indentation instead,
 if the bare ASCII file should have the indented look also outside
-Emacs[fn:146].  With Org's support, you have to indent all lines to
+Emacs[fn:147].  With Org's support, you have to indent all lines to
 line up with the outline headers.  You would use these
-settings[fn:147]:
+settings[fn:148]:
=20
   #+begin_src emacs-lisp
   (setq org-adapt-indentation t
@@ -19109,7 +19109,7 @@ ** Summary of In-Buffer Settings
=20
   #+vindex: org-startup-indented
   Dynamic virtual indentation is controlled by the variable
-  ~org-startup-indented~[fn:148].
+  ~org-startup-indented~[fn:149].
=20
   | =3Dindent=3D   | Start with Org Indent mode turned on.  |
   | =3Dnoindent=3D | Start with Org Indent mode turned off. |
@@ -19944,7 +19944,7 @@ *** Setting up the staging area
=20
 #+vindex: org-mobile-directory
 The mobile application needs access to a file directory on
-a server[fn:149] to interact with Emacs.  Pass its location through
+a server[fn:150] to interact with Emacs.  Pass its location through
 the ~org-mobile-directory~ variable.  If you can mount that directory
 locally just set the variable to point to that directory:
=20
@@ -19965,7 +19965,7 @@ *** Setting up the staging area
 requires OpenSSL installed on the local computer.  To turn on
 encryption, set the same password in the mobile application and in
 Emacs.  Set the password in the variable
-~org-mobile-use-encryption~[fn:150].  Note that even after the mobile
+~org-mobile-use-encryption~[fn:151].  Note that even after the mobile
 application encrypts the file contents, the file name remains visible
 on the file systems of the local computer, the server, and the mobile
 device.
@@ -19981,15 +19981,15 @@ *** Pushing to the mobile application
 ~org-mobile-files~ into the staging area.  Files include agenda files
 (as listed in ~org-agenda-files~).  Customize ~org-mobile-files~ to
 add other files.  File names are staged with paths relative to
-~org-directory~, so all files should be inside this directory[fn:151].
+~org-directory~, so all files should be inside this directory[fn:152].
=20
 Push creates a special Org file =3Dagendas.org=3D with custom agenda views
-defined by the user[fn:152].
+defined by the user[fn:153].
=20
 Finally, Org writes the file =3Dindex.org=3D, containing links to other
 files.  The mobile application reads this file first from the server
 to determine what other files to download for agendas.  For faster
-downloads, it is expected to only read files whose checksums[fn:153]
+downloads, it is expected to only read files whose checksums[fn:154]
 have changed.
=20
 *** Pulling from the mobile application
@@ -20006,7 +20006,7 @@ *** Pulling from the mobile application
=20
 1.
    #+vindex: org-mobile-inbox-for-pull
-   Org moves all entries found in =3Dmobileorg.org=3D[fn:154] and appends
+   Org moves all entries found in =3Dmobileorg.org=3D[fn:155] and appends
    them to the file pointed to by the variable
    ~org-mobile-inbox-for-pull~.  It should reside neither in the
    staging area nor on the server.  Each captured entry and each
@@ -20300,9 +20300,9 @@ *** A LaTeX example of radio tables
 #+cindex: @LaTeX{}, and Orgtbl mode
=20
 To wrap a source table in LaTeX, use the =3Dcomment=3D environment
-provided by =3Dcomment.sty=3D[fn:155].  To activate it, put
+provided by =3Dcomment.sty=3D[fn:156].  To activate it, put
 ~\usepackage{comment}~ in the document header.  Orgtbl mode inserts
-a radio table skeleton[fn:156] with the command {{{kbd(M-x
+a radio table skeleton[fn:157] with the command {{{kbd(M-x
 orgtbl-insert-radio-table)}}}, which prompts for a table name.  For
 example, if =3Dsalesfigures=3D is the name, the template inserts:
=20
@@ -20321,7 +20321,7 @@ *** A LaTeX example of radio tables
 ~orgtbl-to-latex~ to convert the table to LaTeX format, then insert
 the table at the target (receive) location named =3Dsalesfigures=3D.  Now
 the table is ready for data entry.  It can even use spreadsheet
-features[fn:157]:
+features[fn:158]:
=20
 #+begin_example
 % BEGIN RECEIVE ORGTBL salesfigures
@@ -20537,7 +20537,7 @@ ** Special Agenda Views
 #+vindex: org-agenda-skip-function
 #+vindex: org-agenda-skip-function-global
 Org provides a special hook to further limit items in agenda views:
-~agenda~, ~agenda*~[fn:158], ~todo~, ~alltodo~, ~tags~, ~tags-todo~,
+~agenda~, ~agenda*~[fn:159], ~todo~, ~alltodo~, ~tags~, ~tags-todo~,
 ~tags-tree~.  Specify a custom function that tests inclusion of every
 matched item in the view.  This function can also skip as much as is
 needed.
@@ -20580,7 +20580,7 @@ ** Special Agenda Views
 #+vindex: org-agenda-skip-function
 Search for entries with a limit set on levels for the custom search.
 This is a general approach to creating custom searches in Org.  To
-include all levels, use =3DLEVEL>0=3D[fn:159].  Then to selectively pick
+include all levels, use =3DLEVEL>0=3D[fn:160].  Then to selectively pick
 the matched entries, use ~org-agenda-skip-function~, which also
 accepts Lisp forms, such as ~org-agenda-skip-entry-if~ and
 ~org-agenda-skip-subtree-if~.  For example:
@@ -21975,85 +21975,89 @@ * Footnotes
 for different files.  However, "smart" LaTeX compilation systems, such
 as latexmk, can select the correct bibliography compiler.
=20
-[fn:134] See [[http://docs.oasis-open.org/office/v1.2/OpenDocument-v1.2.ht=
ml][Open Document Format for Office Applications
+[fn:134] Minted uses an external Python package for code highlighting,
+which requires the flag =3D-shell-escape=3D to be added to
+~org-latex-pdf-process~.
+
+[fn:135] See [[http://docs.oasis-open.org/office/v1.2/OpenDocument-v1.2.ht=
ml][Open Document Format for Office Applications
 (OpenDocument) Version 1.2]].
=20
-[fn:135] See [[http://www.mathtoweb.com/cgi-bin/mathtoweb_home.pl][MathToW=
eb]].
+[fn:136] See [[http://www.mathtoweb.com/cgi-bin/mathtoweb_home.pl][MathToW=
eb]].
=20
-[fn:136] See [[http://dlmf.nist.gov/LaTeXML/]].
+[fn:137] See [[http://dlmf.nist.gov/LaTeXML/]].
=20
-[fn:137] [[http://docs.oasis-open.org/office/v1.2/OpenDocument-v1.2.html][=
OpenDocument-v1.2 Specification]]
+[fn:138] [[http://docs.oasis-open.org/office/v1.2/OpenDocument-v1.2.html][=
OpenDocument-v1.2 Specification]]
=20
-[fn:138] See the =3D<table:table-template>=3D element of the
+[fn:139] See the =3D<table:table-template>=3D element of the
 OpenDocument-v1.2 specification.
=20
-[fn:139] See the attributes =3Dtable:template-name=3D,
+[fn:140] See the attributes =3Dtable:template-name=3D,
 =3Dtable:use-first-row-styles=3D, =3Dtable:use-last-row-styles=3D,
 =3Dtable:use-first-column-styles=3D, =3Dtable:use-last-column-styles=3D,
 =3Dtable:use-banding-rows-styles=3D, and =3Dtable:use-banding-column-style=
s=3D
 of the =3D<table:table>=3D element in the OpenDocument-v1.2 specification.
=20
-[fn:140] If the publishing directory is the same as the source
+[fn:141] If the publishing directory is the same as the source
 directory, =3Dfile.org=3D is exported as =3Dfile.org.org=3D, so you probab=
ly
 do not want to do this.
=20
-[fn:141] The option ~org-babel-no-eval-on-ctrl-c-ctrl-c~ can be used
+[fn:142] The option ~org-babel-no-eval-on-ctrl-c-ctrl-c~ can be used
 to remove code evaluation from the {{{kbd(C-c C-c)}}} key binding.
=20
-[fn:142] Actually, the constructs =3Dcall_<name>()=3D and =3Dsrc_<lang>{}=
=3D
+[fn:143] Actually, the constructs =3Dcall_<name>()=3D and =3Dsrc_<lang>{}=
=3D
 are not evaluated when they appear in a keyword (see [[*Summary of
 In-Buffer Settings]]).
=20
-[fn:143] For noweb literate programming details, see
+[fn:144] For noweb literate programming details, see
 http://www.cs.tufts.edu/~nr/noweb/.
=20
-[fn:144] For more information, please refer to the commentary section
+[fn:145] For more information, please refer to the commentary section
 in =3Dorg-tempo.el=3D.
=20
-[fn:145] Org Indent mode also sets ~wrap-prefix~ correctly for
+[fn:146] Org Indent mode also sets ~wrap-prefix~ correctly for
 indenting and wrapping long lines of headlines or text.  This minor
 mode also handles Visual Line mode and directly applied settings
 through ~word-wrap~.
=20
-[fn:146] This works, but requires extra effort.  Org Indent mode is
+[fn:147] This works, but requires extra effort.  Org Indent mode is
 more convenient for most applications.
=20
-[fn:147] ~org-adapt-indentation~ can also be set to =3D'headline-data=3D,
+[fn:148] ~org-adapt-indentation~ can also be set to =3D'headline-data=3D,
 in which case only data lines below the headline will be indented.
=20
-[fn:148] Note that Org Indent mode also sets the ~wrap-prefix~
+[fn:149] Note that Org Indent mode also sets the ~wrap-prefix~
 property, such that Visual Line mode (or purely setting ~word-wrap~)
 wraps long lines, including headlines, correctly indented.
=20
-[fn:149] For a server to host files, consider using a WebDAV server,
+[fn:150] For a server to host files, consider using a WebDAV server,
 such as [[https://nextcloud.com][Nextcloud]].  Additional help is at this =
[[https://orgmode.org/worg/org-faq.html#mobileorg_webdav][FAQ entry]].
=20
-[fn:150] If Emacs is configured for safe storing of passwords, then
+[fn:151] If Emacs is configured for safe storing of passwords, then
 configure the variable ~org-mobile-encryption-password~; please read
 the docstring of that variable.
=20
-[fn:151] Symbolic links in ~org-directory~ need to have the same name
+[fn:152] Symbolic links in ~org-directory~ need to have the same name
 as their targets.
=20
-[fn:152] While creating the agendas, Org mode forces =3DID=3D properties
+[fn:153] While creating the agendas, Org mode forces =3DID=3D properties
 on all referenced entries, so that these entries can be uniquely
 identified if Org Mobile flags them for further action.  To avoid
 setting properties configure the variable
 ~org-mobile-force-id-on-agenda-items~ to ~nil~.  Org mode then relies
 on outline paths, assuming they are unique.
=20
-[fn:153] Checksums are stored automatically in the file
+[fn:154] Checksums are stored automatically in the file
 =3Dchecksums.dat=3D.
=20
-[fn:154] The file will be empty after this operation.
+[fn:155] The file will be empty after this operation.
=20
-[fn:155] https://www.ctan.org/pkg/comment
+[fn:156] https://www.ctan.org/pkg/comment
=20
-[fn:156] By default this works only for LaTeX, HTML, and Texinfo.
+[fn:157] By default this works only for LaTeX, HTML, and Texinfo.
 Configure the variable ~orgtbl-radio-table-templates~ to install
 templates for other modes.
=20
-[fn:157] If the =3DTBLFM=3D keyword contains an odd number of dollar
+[fn:158] If the =3DTBLFM=3D keyword contains an odd number of dollar
 characters, this may cause problems with Font Lock in LaTeX mode.  As
 shown in the example you can fix this by adding an extra line inside
 the =3Dcomment=3D environment that is used to balance the dollar
@@ -22061,9 +22065,9 @@ * Footnotes
 a much better solution is to add the =3Dcomment=3D environment to the
 variable ~LaTeX-verbatim-environments~.
=20
-[fn:158] The ~agenda*~ view is the same as ~agenda~ except that it
+[fn:159] The ~agenda*~ view is the same as ~agenda~ except that it
 only considers /appointments/, i.e., scheduled and deadline items that
 have a time specification =3D[h]h:mm=3D in their time-stamps.
=20
-[fn:159] Note that, for ~org-odd-levels-only~, a level number
+[fn:160] Note that, for ~org-odd-levels-only~, a level number
 corresponds to order in the hierarchy, not to the number of stars.
--=20
2.33.0


--=-=-=
Content-Type: text/plain


-- 

Daniel Fleischer

--=-=-=--




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 19:55:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 15:55:27 2021
Received: from localhost ([127.0.0.1]:37001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRgQo-0008Cb-SU
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 15:55:27 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:46025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <younes.brovi@HIDDEN>) id 1mRgQj-0008CK-4K
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 15:55:25 -0400
Received: by mail-pl1-f174.google.com with SMTP id n2so5834932plk.12
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 12:55:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=It1W5hFdMKGuOAwS7kUfjfeGXW2Sn+zGSBey1GliPW8=;
 b=K/KD6v2UbyIXeknxn1GkDnAEmvTu2S6Q7KqVt0wFjX9S8GmzY5/jYmYyP66Gzmzv2h
 QGLnFz2l3a2QZ6sY/sDxIGJerN7U3qi8dpHytWRd0YxHW/tcNI3LrnwJdUuQfyiEqZCa
 B2UXDl9Yji942eZ3Y5oxDIoyll4U6X9YfqU9oy+GHDKQwHDgp2Cl4X0q8JSTHIbkRDId
 QAGUtNlNlm7c5WaIlqCgMivjgceUSan3dF29/zfdOCB2zEWzDxUzQ9gde65aLS/TuRHr
 I0KX1vf9IscY+Zho3HtuELmbMvG2ejfKYFgXM6GuLudh4ghHOirdLRILcrYHqJUokeEJ
 /yZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=It1W5hFdMKGuOAwS7kUfjfeGXW2Sn+zGSBey1GliPW8=;
 b=zZUZc3OzqJvBZ7PALbZCdKWXdnIEeJPISvfhY/uSPKyS0mOhpFoHdHlw3zdWNn5Kpt
 iCVdx7wIHMSFkF7COkJIb+mPO54sL/0As2ULPwgc6sMY7v9U1xqFu8UTlwC2w3/9vkLm
 5nuGHRklXKj6/O//g/dBedanzWJNUMkg8oYzGLcTLkiRa8WBQKR9LWTICfBonzrCFNyS
 KLhtF6eTp0MdphUZxg52bm8YqbWO3DwFYAEDPI/DR8duXAsM9SnaYOIclR7mPFq0Rhy+
 WsVgHj1ARo52DIg8zMSgiVaW0Ev8qRgCeX8yUFq5uvy8Yp267sKqMxBXgJBDEtg/WocF
 04KQ==
X-Gm-Message-State: AOAM530hvCNfi7bsQ9gUTXJc3Sd+xjGiDkNUBZj0dLAtgzBvt59oYE5g
 EHtxSO/nC0PFU8WphmRWvj71+OjuVoKUjg==
X-Google-Smtp-Source: ABdhPJx83ad8Yfx48XVItWR2a0P5KP6H0SCOSk5uDgfP9TfoznpceXMGAORBuQJ3JmOj260QiCysSQ==
X-Received: by 2002:a17:90b:1d84:: with SMTP id
 pf4mr5594855pjb.85.1631994914424; 
 Sat, 18 Sep 2021 12:55:14 -0700 (PDT)
Received: from winchester ([105.66.0.96])
 by smtp.gmail.com with ESMTPSA id v14sm9770820pfi.111.2021.09.18.12.55.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 12:55:14 -0700 (PDT)
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 <m27dfe40dk.fsf@HIDDEN> <87y27uueuo.fsf@HIDDEN>
 <m2ee9lis5z.fsf@HIDDEN>
User-agent: mu4e 1.7.0; emacs 27.2
From: Younes Ben El <younes.brovi@HIDDEN>
To: Daniel Fleischer <danflscr@HIDDEN>
Subject: Re: bug#50555: [BUG] Org Latex export doesn't handle src blocks
 correctly
Date: Sat, 18 Sep 2021 20:53:01 +0100
In-reply-to: <m2ee9lis5z.fsf@HIDDEN>
Message-ID: <87tuihpskk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Daniel Fleischer <danflscr@HIDDEN> writes:

> Here is the hint: since "minted" is using a python package (pygments) for
> the highlighting, one need to add the "-shell-escape" to the call. Other
> than that, everything works as planned. Since it's a specific
> configuration for using "minted", I'll add a comment in the manual.
>
> If you feel that there is still an issue with the [], please provide an
> emacs -Q recipe that shows it, after adding the "-shell-escape" flag.

Ah, That's the deal. Updating The Manual Will do the trick Thanks for
taking time and looking up at this issue .

--=-=-=
Content-Type: text/html

<p>
Daniel Fleischer &lt;danflscr@HIDDEN&gt; writes:
</p>

<p>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

<div>Here is the hint: since &ldquo;minted&rdquo; is using a python package (pygments) for
the highlighting, one need to add the &ldquo;-shell-escape&rdquo; to the call. Other
than that, everything works as planned. Since it&rsquo;s a specific
configuration for using &ldquo;minted&rdquo;, I&rsquo;ll add a comment in the manual.
</div>
<div>
<br /></div>
<div>If you feel that there is still an issue with the [], please provide an
emacs -Q recipe that shows it, after adding the &ldquo;-shell-escape&rdquo; flag.

</div></blockquote>
</p>

<p>
Ah, That&rsquo;s the deal. Updating The Manual Will do the trick Thanks for
taking time and looking up at this issue .
</p>

--=-=-=--




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 19:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 15:45:56 2021
Received: from localhost ([127.0.0.1]:36996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRgHb-0007xW-Uh
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 15:45:56 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:45006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danflscr@HIDDEN>) id 1mRgHZ-0007xI-3u
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 15:45:54 -0400
Received: by mail-wm1-f46.google.com with SMTP id
 f62-20020a1c1f41000000b0030b42643f72so4197994wmf.3
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 12:45:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=hA8yJDdnhis2cIv2aAyngNRIPVgOXdHouPmiIWoYR3A=;
 b=dfADM4cbIukxcIRGAn4+EXJzi9t5i1hfAuwlZyKqnrWuXn3w9i6s5hx2PKPQpQlhFk
 hZm8nNWt2fZ6jypDh2c3Aq77YQY94kOX1CYKX9JbFjaL4RNrQGnoyLMzmEjiac91mZJJ
 frS/alJPTDvn9K0vD25iHs+BGSH4kuaRi2MwabQdRuMyAtVkbEH5HJIRAlGEIXZU0BtP
 DSMaSX5SR5DjLg0R3SBxHWefymJKeo4/KM1VsdYUfBdW+gPmB6OKO+6p3dQ5kv4zG0Hd
 ISgb2OmFF+zm15+oWxq4eYDLbVTP3BpPloLbgtMl4P7ikN+LgXplH2N6j73wozvNIKwa
 88sQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=hA8yJDdnhis2cIv2aAyngNRIPVgOXdHouPmiIWoYR3A=;
 b=C0uM5gdy/X2JWdctKzXcB2Hu5aHdrhvu9P/bsBemiMM9vhENIR6EeqnHyG30G5XbDc
 GOr1c7sNLyGGzwFUKKPN5Um3MCJPlBwLTR/aAZIfnk+27y4xhrHzDE/AMbp3sDElX6cu
 dPF9ywO4JPN6p5VAxhaKf6hsFhnDRKw/s/9agko883cXPC+dUEp5Pg52w88CqUl85pZm
 a1khEnkTWE9/JTV2pusvTLzD8iKmHjy5bhEHzbgvwvP+4aY125u+lHFxxW6GWinbB8it
 VFClO3Hvxip2anEkq/HNLjYUoTeHZevfvZnF09SSnYeL/M0n9B0G6sygPbQZ2PNUFlkb
 zXDQ==
X-Gm-Message-State: AOAM533yaEugq21Jklk2HZLDOod+25j1wLEpYx3934Gg/430lOehd7XD
 6T7jMoI1F755h+vxx4pJ/trSHi0edj4=
X-Google-Smtp-Source: ABdhPJyKb2ibGOpkBj6aRtubrYYi6KiVDnU/9zmu9R2lw8exvwwQQ3a2LSpGf31m0s2e5dhWsy8yJw==
X-Received: by 2002:a05:600c:ac5:: with SMTP id
 c5mr17325779wmr.191.1631994347192; 
 Sat, 18 Sep 2021 12:45:47 -0700 (PDT)
Received: from Home-Mac ([141.226.13.159])
 by smtp.gmail.com with ESMTPSA id y64sm7736495wmc.38.2021.09.18.12.45.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 12:45:46 -0700 (PDT)
From: Daniel Fleischer <danflscr@HIDDEN>
To: Younes Ben El <younes.brovi@HIDDEN>
Subject: Re: bug#50555: [BUG] Org Latex export doesn't handle src blocks
 correctly
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 <m27dfe40dk.fsf@HIDDEN> <87y27uueuo.fsf@HIDDEN>
Date: Sat, 18 Sep 2021 22:45:44 +0300
In-Reply-To: <87y27uueuo.fsf@HIDDEN> (Younes Ben El's message of "Sat, 18
 Sep 2021 15:38:13 +0100")
Message-ID: <m2ee9lis5z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I verified again, this time with emacs -Q; the empty argument list []
does NOT stop you from compiling org into PDF.

> (with-eval-after-load 'ox-latex
>   (add-to-list 'org-latex-packages-alist '("" "minted"))
>   (setq org-latex-listings 'minted)
>   (setq org-latex-pdf-process
>         '("pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"
>           "pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"
>           "pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f")))
>

Here is the hint: since "minted" is using a python package (pygments) for
the highlighting, one need to add the "-shell-escape" to the call. Other
than that, everything works as planned. Since it's a specific
configuration for using "minted", I'll add a comment in the manual.

If you feel that there is still an issue with the [], please provide an
emacs -Q recipe that shows it, after adding the "-shell-escape" flag. 

-- 

Daniel Fleischer




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 14:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 10:40:24 2021
Received: from localhost ([127.0.0.1]:36427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRbVw-0008Bm-I5
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 10:40:24 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:40647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <younes.brovi@HIDDEN>) id 1mRbVu-0008Ba-W3
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 10:40:23 -0400
Received: by mail-wm1-f50.google.com with SMTP id
 b21-20020a1c8015000000b003049690d882so12123515wmd.5
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 07:40:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=ORMMZ0QCrsbOGydO8/XZnfJbWzhmbqoGdv2bbu5FAwk=;
 b=oob0yHF/lwW8oAUrkGReTEAySTTlsDy8NS+fHqvnXQdNVPwHZllI7SzRW5YK21V2Qf
 /aJPDj8gOUdRzuSmgJHriMXIj+8kzPIBd054ZShEVwQ7qRN3qO0Z2eXoWTbiLJ9i9smx
 j3AtxZpNje2T3madhvvnzK8N3pUvbzs80texZZW/GDTL6TPgQ7q4KzQG86yAQ33JwoV4
 VwpEnfJ9Bq6KUPQbwdWzAsJ3NpKqWZM0vzucRgeSGfR18nH00gcrvHm0nTdtkU+PmgGF
 YdpKPwzlwA/uhm959bWnuHhBk7QeSKO8hgi5qSolmyi+G8z8ybSWiNGKTF1Oq8zpikiZ
 xiEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=ORMMZ0QCrsbOGydO8/XZnfJbWzhmbqoGdv2bbu5FAwk=;
 b=dLYCjn7XcC0yCA3QOMiarf/ja8x7gZlAIxCw7KtbS0uWft3n3A/ddUS8Bse5SW2XpN
 h0wZi9wYJiglGHvfs3YFVKLYgzEswiiRRiYRSolmVbBHAEUI4xSvJ3+tqeqdavrXy7cf
 G8hNxHrRcN51bOuMA0tyvT0KMS5Wg0tsGAkZjDBgZT0H+5xkMaJjNzZa+cREjelWvXO6
 x74OyObAcV0cxy9X1YI7No+m0V1C9soAo0sIXAYuSTC88eCdjn2nHx/OizK52lg4Izmt
 sicKlkQt5Wy4UYvlOe2j0FshB6t9eR0pRKyWzkTqlu4H8sD05BYT82kKDk5udkcE+eU8
 kMFg==
X-Gm-Message-State: AOAM531IESLfbj6P7zCHJt5Ydh98oX/z/KDpZlZkkFQAiSMEY74419Qj
 hF/vWjSVt1PG/PsykaEk+TK8d2BhP9Co1A==
X-Google-Smtp-Source: ABdhPJwedh5F/ollJZM29P1tp277Mj7CTBzcWVZbuYvDcJmfb+/bPGlsuJiCezTdR+o8XgVGbm148w==
X-Received: by 2002:a05:600c:b42:: with SMTP id
 k2mr13788076wmr.134.1631976016753; 
 Sat, 18 Sep 2021 07:40:16 -0700 (PDT)
Received: from winchester ([105.66.0.96])
 by smtp.gmail.com with ESMTPSA id l13sm9728472wrb.11.2021.09.18.07.40.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 07:40:16 -0700 (PDT)
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 <m27dfe40dk.fsf@HIDDEN>
User-agent: mu4e 1.7.0; emacs 27.2
From: Younes Ben El <younes.brovi@HIDDEN>
To: Daniel Fleischer <danflscr@HIDDEN>
Subject: Re: bug#50555: [BUG] Org Latex export doesn't handle src blocks
 correctly
Date: Sat, 18 Sep 2021 15:38:13 +0100
In-reply-to: <m27dfe40dk.fsf@HIDDEN>
Message-ID: <87y27uueuo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

I Apologize for the previous mail, seems like it didn't go through
correctly .
Actually it does compile and produces a pdf file , however there's some
issue with it as it doesn't display the code_block.
if we set our emacs config to
#+begin_src emacs-lisp
(require 'ox-latex)
(setq org-latex-listings 'minted)
#+end_src
Then Set In Our org file
#+begin_src org
#+LATEX_CLASS: article
#+LATEX_CLASS_OPTIONS: [letterpaper]
#+LATEX_HEADER: \usepackage{minted}
#+OPTIONS: toc:t
#+end_src
and edit our org file and then compile it , it will not produce a code_block.
probably because of empty options [] like i tested , after we remove them it works.
Digging little into the issue, if we specfied a pdf-export-commands , it will result into
the expected exported pdf.
#+begin_src emacs-lisp
(with-eval-after-load 'ox-latex
  (add-to-list 'org-latex-packages-alist '("" "minted"))
  (setq org-latex-listings 'minted)
  (setq org-latex-pdf-process
        '("pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"
          "pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"
          "pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f")))
#+end_src
Not sure why it needs these in order to export correctly.
Here's some screenshots of the issue,[[https://i.imgur.com/VB1leIW.png][Exported_pdf]],[[https://i.imgur.com/x8lIIFW.png][org_file]],[[https://i.imgur.com/Tm0lzp4.png][exported_tex]],[[https://i.imgur.com/bxdI7Ja.png][Removing_Brackets]]

--=-=-=
Content-Type: text/html

<p>
I Apologize for the previous mail, seems like it didn&rsquo;t go through
correctly .
Actually it does compile and produces a pdf file , however there&rsquo;s some
issue with it as it doesn&rsquo;t display the code<sub>block</sub>.
if we set our emacs config to
</p>
<div class="org-src-container">
<pre style="color: #E6E1DC; background-color: #232323; padding: 0.5em;" class="src src-emacs-lisp"><span style="color: #61bfff;">(</span><span style="color: #8be9fd;">require</span> <span style="color: #ff79c6;">'</span><span style="color: #8be9fd;">ox-latex</span><span style="color: #61bfff;">)</span>
<span style="color: #61bfff;">(</span><span style="color: #ff79c6;">setq</span> <span style="color: #ffc9e8;">org-latex-listings</span> <span style="color: #ff79c6;">'</span><span style="color: #8be9fd;">minted</span><span style="color: #61bfff;">)</span>
</pre>
</div>
<p>
Then Set In Our org file
</p>
<div class="org-src-container">
<pre style="color: #E6E1DC; background-color: #232323; padding: 0.5em;" class="src src-org"><span style="color: #8995ba;">#+LATEX_CLASS: article</span>
<span style="color: #8995ba;">#+LATEX_CLASS_OPTIONS: [letterpaper]</span>
<span style="color: #8995ba;">#+LATEX_HEADER: \usepackage{minted}</span>
<span style="color: #8995ba;">#+OPTIONS: toc:t</span>
</pre>
</div>
<p>
and edit our org file and then compile it , it will not produce a code<sub>block</sub>.
probably because of empty options [] like i tested , after we remove them it works.
Digging little into the issue, if we specfied a pdf-export-commands , it will result into
the expected exported pdf.
</p>
<div class="org-src-container">
<pre style="color: #E6E1DC; background-color: #232323; padding: 0.5em;" class="src src-emacs-lisp"><span style="color: #61bfff;">(</span><span style="color: #ff79c6;">with-eval-after-load</span> <span style="color: #ff79c6;">'</span><span style="color: #8be9fd;">ox-latex</span>
  <span style="color: #ff79c6;">(</span><span style="color: #50fa7b;">add-to-list</span> <span style="color: #ff79c6;">'</span><span style="color: #ffc9e8;">org-latex-packages-alist</span> <span style="color: #ff79c6;">'</span><span style="color: #50fa7b;">(</span><span style="color: #f1fa8c;">""</span> <span style="color: #f1fa8c;">"minted"</span><span style="color: #50fa7b;">)</span><span style="color: #ff79c6;">)</span>
  <span style="color: #ff79c6;">(</span><span style="color: #ff79c6;">setq</span> <span style="color: #ffc9e8;">org-latex-listings</span> <span style="color: #ff79c6;">'</span><span style="color: #8be9fd;">minted</span><span style="color: #ff79c6;">)</span>
  <span style="color: #ff79c6;">(</span><span style="color: #ff79c6;">setq</span> <span style="color: #ffc9e8;">org-latex-pdf-process</span>
        <span style="color: #ff79c6;">'</span><span style="color: #50fa7b;">(</span><span style="color: #f1fa8c;">"pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"</span>
          <span style="color: #f1fa8c;">"pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"</span>
          <span style="color: #f1fa8c;">"pdflatex -shell-escape -interaction nonstopmode -output-directory %o %f"</span><span style="color: #50fa7b;">)</span><span style="color: #ff79c6;">)</span><span style="color: #61bfff;">)</span>
</pre>
</div>
<p>
Not sure why it needs these in order to export correctly.
Here&rsquo;s some screenshots of the issue,<a href="https://i.imgur.com/VB1leIW.png">Exported<sub>pdf</sub></a>,<a href="https://i.imgur.com/x8lIIFW.png">org<sub>file</sub></a>,<a href="https://i.imgur.com/Tm0lzp4.png">exported<sub>tex</sub></a>,<a href="https://i.imgur.com/bxdI7Ja.png">Removing<sub>Brackets</sub></a>
</p>

--=-=-=--




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 14:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 10:24:22 2021
Received: from localhost ([127.0.0.1]:36386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRbGQ-0005ah-7z
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 10:24:22 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:54098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <younes.brovi@HIDDEN>) id 1mRbGP-0005aV-75
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 10:24:21 -0400
Received: by mail-wm1-f52.google.com with SMTP id z2so456863wmc.3
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 07:24:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=hUNmaxpQD3wl+eqwf79PHp3OOW5ZC2vjin6l1TAfBtY=;
 b=iASVGzKBHvMcKC6iUbtnce8h5biO3gYmeUYj3WLaf7M8Pg9gxfRurayNpDBv6ZVsml
 tblLMD3Bilu7KYfhQo3CklaytKx1UCCv7nfB2nbMZXgbA5GinqTWUijHCMChEMx3Loa/
 BdpQThCXUttOROAwiRZhfwvmJZU1IvwLw0NpnYAFDAm764qOTxIBSRvY0h+HCXbgwcNX
 Qf5p1GgFCVitlCEHElJpfiw9HtIHLv8pRnjmkgT4Ri44zb/BQaKNjF9w70XguDthHYax
 QZUTvF/djBCaBQHqc0B548mMDaxVCpkUdrBJTzIIjbGGBMvgh80Jk+Jz7Nwmzknq8q8O
 +SvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=hUNmaxpQD3wl+eqwf79PHp3OOW5ZC2vjin6l1TAfBtY=;
 b=QoO/Hgb5ZLmeE2sqnqpQjBmsd8hkkfN8FAt6wfsiG1p/Q3V6mothdqjov4ApEMtKnE
 0OEg8Qpi8SGV5d78wGPPp/D55ZwihcK5+CcYSBj+isHzhupo7RFyC0QMzZXLFFwvgCEg
 aN4Cyv/BhsD3coMDknKQgeeKbNRfjrXunF9BrkBaUz7hOkbgZKilVA7ZfmuyAOiEQrcC
 e8H19m0w1ddsf9Dl5s9AtitesOTvNkNt9hRE527oFEWVb8qFTEL0WlLo9yHqaiMNpFnm
 jzXlLaPC4JsiFnPrz69r8YN+IxnBpWKt/aOBsP3+2zadVwNyTgUhjTZHaTZUfQFn3Y4x
 3Crg==
X-Gm-Message-State: AOAM532UO+DbUTufRVi/dipgb/T7B3JBuSsMy71NS6dqBGEbTW4Zmnjr
 t/CvZFB+fTl/JnZqoy3FSImARE8NJnlwGg==
X-Google-Smtp-Source: ABdhPJyiRJJUt9yw7mfTCl8w92trwyY/1w2/WtE6NlAhuTS+j5XXoYesvs6rvjyXHH35vu6UemhWlQ==
X-Received: by 2002:a05:600c:b41:: with SMTP id
 k1mr20938473wmr.4.1631975055132; 
 Sat, 18 Sep 2021 07:24:15 -0700 (PDT)
Received: from winchester ([105.66.0.96])
 by smtp.gmail.com with ESMTPSA id p6sm9601610wrq.47.2021.09.18.07.24.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 07:24:14 -0700 (PDT)
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 <m27dfe40dk.fsf@HIDDEN>
User-agent: mu4e 1.7.0; emacs 27.2
From: Younes Ben El <younes.brovi@HIDDEN>
To: Daniel Fleischer <danflscr@HIDDEN>
Subject: Re: bug#50555: [BUG] Org Latex export doesn't handle src blocks
 correctly
Date: Sat, 18 Sep 2021 15:07:22 +0100
In-reply-to: <m27dfe40dk.fsf@HIDDEN>
Message-ID: <87ee9mvu5u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--=-=-=
Content-Type: multipart/alternative; boundary="==-=-="

--==-=-=
Content-Type: text/plain


--==-=-=
Content-Type: multipart/alternative; boundary="===-=-="


--==-=-=--

--=-=-=
Content-Type: text/html

<p>
&lt;#multipart type=alternative&gt;
</p>







<p>
&lt;#/multipart&gt;
&lt;#/multipart&gt;
</p>

--=-=-=--




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.
Added tag(s) moreinfo. Request was from Daniel Fleischer <danflscr@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50555 <at> debbugs.gnu.org:


Received: (at 50555) by debbugs.gnu.org; 18 Sep 2021 10:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 06:57:37 2021
Received: from localhost ([127.0.0.1]:33679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRY2L-0007wz-9J
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 06:57:37 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:45029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danflscr@HIDDEN>) id 1mRY2J-0007wi-OC
 for 50555 <at> debbugs.gnu.org; Sat, 18 Sep 2021 06:57:36 -0400
Received: by mail-wr1-f49.google.com with SMTP id d6so19348376wrc.11
 for <50555 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 03:57:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=SrZpjNIg9eDLRROgIwAhb8l2361ywO5JYznZEDZZDx0=;
 b=KvoP47eVZ5VRLp7zYVuYyfI5swFYaOUucHSCluSWVl1Ylc+AMfYbgRaeuTrtZ4D+XR
 Il2dvBXVz77hBbajnEPpncQCmgatARDMP/gPl0ZCueYFFD2V81y4p+jPWuwhBHoXo6jd
 8qzDSlAR/Gvip6h3zC/iEF5wZ/SMHhYOG/ym2woXMq//l0xZQbkKX2b34Tw7CJ3jXrp7
 6B1VUNOiub+l7hdK8wWbcNkHVPp8j/P8Wwq9WXjwjz7fxj8A7SBkig9Ap77Gdh3PsTOc
 fOO5Mr5HuFQ4UXAEDvpO/j4PsCMDhyRTO3mPhVKsgfgHm4hfnOQoEUM443MnvPUI6zeN
 oD8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=SrZpjNIg9eDLRROgIwAhb8l2361ywO5JYznZEDZZDx0=;
 b=u3VH5XAm6z9EWGQAW82iIY9s7vdMLrAenTBMW7DPDG87zX7Aab1dGk+1K8HYwoYlGm
 RLTE8DAUya1+r9NQ3dmH9Q48NH1R0Km90ZYwM4oV/vsGZOB2OzMsoD1IMTfXcbnw2d8C
 s1USEbVL3uLLOyQFnc+pEENlsx/V6emplXPAp2+kpZv5NWNSg60yTArX/mbo7TTZbaNf
 XHveGzqbU19h4USI3hEWpqrAGoMvFtQq5E0iQrVjFuMkjqvTIcM5AYvo89zdqcwIlJpF
 +G5ZdSGMiAbCvFwE+S/DamumIWvgw49wSL5u6hvekMfGbp96L66HJ1hsDpwNSFuUJS9I
 E0QA==
X-Gm-Message-State: AOAM531ydnpCGO9BWxngAESusZUD3a2fXwRm7j17B2tb3gJ4avIedDJG
 /8507iNOQiU6znawJ9yFaFA6aJLI/tQM2Q==
X-Google-Smtp-Source: ABdhPJxvjuM4rZse5Wt6q+0eYUlYRQ/5M9n5SsiW33/+GxZfYmyZ7zmRJVKatVCqxG9mSPW2loYfbA==
X-Received: by 2002:a5d:6dad:: with SMTP id u13mr16723551wrs.55.1631962649745; 
 Sat, 18 Sep 2021 03:57:29 -0700 (PDT)
Received: from Home-Mac ([141.226.13.159])
 by smtp.gmail.com with ESMTPSA id n66sm8947862wmn.2.2021.09.18.03.57.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Sep 2021 03:57:29 -0700 (PDT)
From: Daniel Fleischer <danflscr@HIDDEN>
To: Younes Ben El <younes.brovi@HIDDEN>
Subject: Re: bug#50555: [BUG] Org Latex export doesn't handle src blocks
 correctly
References: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
Date: Sat, 18 Sep 2021 13:57:27 +0300
In-Reply-To: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
 (Younes Ben El's message of "Sun, 12 Sep 2021 21:25:55 +0100")
Message-ID: <m27dfe40dk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50555
Cc: 50555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Younes Ben El [2021-09-12 Sun 21:25] wrote:

> When exporting from org to latex , src blocks are not handled correctly.
> This happens when you specify a prog-language name after #+BEGIN_SRC
> Which results to an extra *[]* in exported latex file thus when
> compiling it to pdf , it won't display the code block.

It's true that there are empty [] argument list for the minted package
in the latex code; however I am able to compile your (and my) latex code
into PDF with and without it so I'm not sure that something needs to be
done in org-mode. Can you send the resulting latex file and/or specify
why it's not compiling?

-- 

Daniel Fleischer




Information forwarded to emacs-orgmode@HIDDEN:
bug#50555; Package org-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Sep 2021 20:52:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 16:52:39 2021
Received: from localhost ([127.0.0.1]:43611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPWSt-0002zw-68
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 16:52:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:38334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <younes.brovi@HIDDEN>) id 1mPW3I-0002OT-NL
 for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 16:26:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45340)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <younes.brovi@HIDDEN>)
 id 1mPW3H-000517-Vz
 for bug-gnu-emacs@HIDDEN; Sun, 12 Sep 2021 16:26:12 -0400
Received: from mail-lf1-x130.google.com ([2a00:1450:4864:20::130]:45700)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <younes.brovi@HIDDEN>)
 id 1mPW3G-0004zu-5p
 for bug-gnu-emacs@HIDDEN; Sun, 12 Sep 2021 16:26:11 -0400
Received: by mail-lf1-x130.google.com with SMTP id g1so5020141lfj.12
 for <bug-gnu-emacs@HIDDEN>; Sun, 12 Sep 2021 13:26:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=eF/GJfELoz9MCwWDQ+9jeDSQ95s4EToO9ol5pIJFkFU=;
 b=Cf5djq06EwVrptr+XvWCfn3rQcv+aw4A1Us1hXoB7sXDAnjq3AHM0rR9qfk+c4mqm2
 QlZmRUvs9k4Qhfw3lWM1Nfi9shJP3iCjIeof214ii3bqFdLYZwONkI0GNui3MjDAS7fZ
 GQtFrcZcSFE3L0xlnH8ZCuuhxE7UVzUxQed3id8jfBFdcXqqGOsIh7Y2E3xUaHX1MNge
 9jYfPPQ/g+E+7xqE7ZvmTR7ExSzeB+hVnyKH7hNtsLGmq3GZx3iaSq44voaeq0G+jPyS
 HRGokIr/MZkpB6Jn9Nr5wsh++X2t3leDttGxIesFLzHArz/9Xt2+KjKyFboITw+CJk3z
 9n2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=eF/GJfELoz9MCwWDQ+9jeDSQ95s4EToO9ol5pIJFkFU=;
 b=iVFdTQiB01DrLbyVvakY/WErnQ1DSuDijJDLBVRm0G0qrbVbVDkhk8vj9LwsGhg1km
 /eLr6LINFLVGQ4+w3ZhGiI4fgHWZprj1s/2nEHqMIgv1BJdtbPMoEJ4UZL/r+JkUt/0p
 E29PbnD4lZrWcJ4km/cK9D6RI3BRSvYZwEA+flze3/sxNaORNHtt47/dEpRCPQ6j+gwy
 2PbID0KaKDLCaHEtVKhV1SdO0Q4smV0Q/Edn8ZfTSZCtAX1fzAMZaZZAE0KmLEhV3uJ/
 FD9WqCpwWscE8d8+fF+MsyDjeueT8GCOhLUDQrsu7q0HW9tt4G6Ju3NAJwRB9NBbCjR0
 OksQ==
X-Gm-Message-State: AOAM531XBK6tXwxj5uzljKL70BoOuC+4iC9r1hN/NTJh+pMG+U9/EFJJ
 LsYd1pWCJO+wiN5PO6+5lcYk5Om/1/ypjxYpX7b0VAyvL6eH+Q==
X-Google-Smtp-Source: ABdhPJzCuSewYFBu3Bd9McizwnkUkPy4HhQ9I+rlyN4bHHRlexFSSqGyePKf04DnKIIklJANHld1Fm0AfA5mJ3ftals=
X-Received: by 2002:a05:6512:3ba8:: with SMTP id
 g40mr6398191lfv.111.1631478366660; 
 Sun, 12 Sep 2021 13:26:06 -0700 (PDT)
MIME-Version: 1.0
From: Younes Ben El <younes.brovi@HIDDEN>
Date: Sun, 12 Sep 2021 21:25:55 +0100
Message-ID: <CAAM66s7Ej_i8tep4vaOyb8Uv-zNpeA-N7E2d+C1yctSCuwkrMA@HIDDEN>
Subject: [BUG] Org Latex export doesn't handle src blocks correctly
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000080e99105cbd22838"
Received-SPF: pass client-ip=2a00:1450:4864:20::130;
 envelope-from=younes.brovi@HIDDEN; helo=mail-lf1-x130.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Sep 2021 16:52:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000080e99105cbd22838
Content-Type: text/plain; charset="UTF-8"

When exporting from org to latex , src blocks are not handled correctly.
This happens when you specify a prog-language name after #+BEGIN_SRC
Which results to an extra *[]* in exported latex file thus when
compiling it to pdf , it won't display the code block.
- How it produces the code block in latex

\begin{minted}[]{lisp}
>   (defun Fib (n)
>     (if (< n 2) n (+ (Fib (- n 1)) (Fib (- n 2)))))
> \end{minted}


- how it should produce it in latex

>
> \begin{minted}{lisp}
>   (defun Fib (n)
>     (if (< n 2) n (+ (Fib (- n 1)) (Fib (- n 2)))))
> \end{minted}


This also happens when not using minted package to highlight code
blocks.
- *To produce this bug*, (optional) set (setq org-latex-listings 'minted)
open org file and add

> #+BEGIN_SRC shell
> echo test
> #+END_SRC

And run org-latex-export-to-pdf or org-latex-export-to-latex.
- *To Resolve this issue* , remove [] in tex file and it will compile to
pdf with code blocks and syntax highlighting (This requires manually
editing each time you export to latex). Second way is to no specify
prog-language after #+BEGIN_SRC however this doesn't show code
highlighting since minted requires defining a prog-language in order to
work.
- Technical Info

> Emacs  : GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.27, cairo version 1.17.4)

 of 2021-03-26
Package: Org mode version 9.5 (9.5-b83ae59 @
/home/ybenel/.emacs.d/.local/straight/build-27.2/org/)

>
>

--00000000000080e99105cbd22838
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:georgia,=
serif">When exporting from org to latex , src blocks are not handled correc=
tly.<br>This happens when you specify a prog-language name after #+BEGIN_SR=
C<br>Which results to an extra *[]* in exported latex file thus when<br>com=
piling it to pdf , it won&#39;t display the code block.<br>- How it produce=
s the code block in latex<br><br></div><div class=3D"gmail_default" style=
=3D"font-family:georgia,serif"><blockquote class=3D"gmail_quote" style=3D"m=
argin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left=
:1ex">\begin{minted}[]{lisp}<br>=C2=A0 (defun Fib (n)<br>=C2=A0 =C2=A0 (if =
(&lt; n 2) n (+ (Fib (- n 1)) (Fib (- n 2)))))<br>\end{minted}</blockquote>=
<br>- how it should produce it in latex<br><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex"><br>\begin{minted}{lisp}<br>=C2=A0 (defun Fib (n)<br>=C2=
=A0 =C2=A0 (if (&lt; n 2) n (+ (Fib (- n 1)) (Fib (- n 2)))))<br>\end{minte=
d}</blockquote></div><div class=3D"gmail_default" style=3D"font-family:geor=
gia,serif"><br>This also happens when not using minted package to highlight=
 code<br>blocks.<br>- <b>To produce this bug</b>, (optional) set (setq org-=
latex-listings &#39;minted)<br>open org file and add<br><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">#+BEGIN_SRC shell<br>echo test<br>#+END_SR=
C</blockquote>And run org-latex-export-to-pdf or org-latex-export-to-latex.=
<br>- <b>To Resolve this issue</b> , remove [] in tex file and it will comp=
ile to<br>pdf with code blocks and syntax highlighting (This requires manua=
lly<br>editing each time you export to latex). Second way is to no specify<=
br>prog-language after #+BEGIN_SRC however this doesn&#39;t show code<br>hi=
ghlighting since minted requires defining a prog-language in order to work.=
<br></div><div class=3D"gmail_default" style=3D"font-family:georgia,serif">=
- Technical Info</div><blockquote style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex" class=3D"gmail_quote"><sp=
an class=3D"gmail_default" style=3D"font-family:georgia,serif"></span>Emacs=
 =C2=A0: GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.27=
, cairo version 1.17.4)</blockquote>=C2=A0of 2021-03-26<br>Package: Org mod=
e version 9.5 (9.5-b83ae59 @ /home/ybenel/.emacs.d/.local/straight/build-27=
.2/org/)<br><blockquote style=3D"margin:0px 0px 0px 0.8ex;border-left:1px s=
olid rgb(204,204,204);padding-left:1ex" class=3D"gmail_quote"><span class=
=3D"gmail_default" style=3D"font-family:georgia,serif"></span><br></blockqu=
ote></div>

--00000000000080e99105cbd22838--




Acknowledgement sent to Younes Ben El <younes.brovi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50555; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Sep 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.